// Place all the styles related to the home controller here.
// They will automatically be included in application.css.
// You can use Sass (SCSS) here: http://sass-lang.com/
html {
  margin: 0;
  padding: 0;
  width: 100%;
}
body {
  margin: 0;
  min-height: 100vh;
  padding: 0;
  width: 100%;
  position: relative;
  .wrapper {
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
    flex: 0 0 auto;
    flex-direction: row;
    height: 100%;
    min-height: 100vh;
    width: auto;
  }

  footer{
    margin-bottom: 15px;
    bottom: 0px;
    width: 100%;
    position: absolute;
    text-align: center;
  }
  #page-content-wrapper{
    flex: 0 0 auto;
    flex-direction: row;
    height: 100%;
    min-height: 100vh;
   
  }
}
#wrapper{
  padding-top: 20px;
  width:480px;
  flex: 0 0 auto;
  flex-direction: row;
  height: 100%;
  min-height: 100vh;
  margin: 0 auto;
}

$border-style: 3px solid #525B76;
$border-style-new: 25px solid #525B76;
$mainColor: #29335C;
$secColor: #525B76;
$thiColor: #EAEAEA;
$fouColor: #E4572E;
$oColor: rgb(252,123,68);
$xColor: rgb(100,91,80);
$gameColor: rgb(195 ,178 ,163 );
$borderColor: rgb(175, 157, 142 );
.init{
  color: $gameColor !important;
}
.game {
  background-color: transparent;
  float: left;
  flex: 0 0 auto;
  flex-direction: row;
  height: 100%;
  min-height: 100vh;
  width: 100%;
}
.o{
  color: $oColor !important;
}
.x{
  color: $xColor !important;
}
.game-field {
  background-color: $gameColor;
  float: left;
  color: $thiColor;
  font-size: 40px;
  padding: 1px 27px;
  border-color: $borderColor;
  border-style: solid;
  display: inline-block
}

.win {
  color: $fouColor;
  transition: 200ms;
}

.modal-content {
  background-color: rgb(195,  180, 164 );
  opacity: 0.85;
}

.modal-header {
  background-color: $mainColor;
  width: 100%;
  height: 100%;
  color: $thiColor;

  button {
    color: $thiColor;

    &:hover {
      color: $thiColor;
    }
  }

  h4 {
    font-size: 2.3em;
  }
}

.modal-body {
  padding: 30px;
  margin: 10px 0;
  text-align: center;
}

.modal-footer {
  padding: 10px 80px 10px 0px;

  button {
    background-color: white;
    color: black;
    width: 40%;
    font-size: 2em;
    transition: 500ms;

    &:hover {
      background-color: $fouColor;
      color: white;
    }
  }
}


.row{
  width: 100%;
  flex: 0 0 auto;
  flex-direction: row;
  display: flex;
}

#myModal{
  position: absolute;
  z-index: 4;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  
}
.modal-body{
  text-align: left;
}
.center{
  text-align: center !important;
}
input[type=text] {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  box-sizing: border-box;
}
input[type=number] {
  padding: 12px 1px;
  margin: 8px 0;
  box-sizing: border-box;
  text-align: center;
}
input.rounded {

  border: 1px solid #ccc;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  border-radius: 10px;
 
  -moz-box-shadow: 2px 2px 3px #666;
  -webkit-box-shadow: 2px 2px 3px #666;
  box-shadow: 2px 2px 3px #666;
  
  font-size: 20px;
  outline: 0;
  -webkit-appearance: none;
}

input.rounded:focus {
  border-color: #339933;
  
}

input.btn{
  font-size:20px;
  padding:10px 40px; 
  background:#ccc; 
  border:0 none;
  cursor:pointer;
  -webkit-border-radius: 20px;
  border-radius: 20px; 
}
#board{
  position: absolute;
  z-index: 1;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.group {
  display: flex;
  align-items: center;
}

.group label {
  padding-right: 10px;
  display: inline-block;
  width: 71px;
}
